# PetscDrawSetViewPort

Sets the portion of the window (page) to which draw routines will write.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawSetViewPort(PetscDraw draw,PetscReal xl,PetscReal yl,PetscReal xr,PetscReal yr)

Collective on PetscDraw

### Input Parameters

| xl,yl,xr,yr | - upper right and lower left corners of subwindow These numbers must always be between 0.0 and 1.0. Lower left corner is (0,0).
| draw | - the drawing context

Level:advanced
Location: src/sys/draw/interface/dviewp.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages